local L = AceLibrary("AceLocale-2.2"):new("RogueStunTimerFu_Bars_Rules")
L:RegisterTranslations("enUS", function() return {
	["Sap"] = true,
	["Distract"] = true,
	["Cheap Shot"] = true,
	["Gouge"] = true,
	["Kidney Shot"] = true,
	["Blind"] = true,
} end)

--Blind Bar
function RogueStunTimerFu_Bars:Blind()
local path = AceLibrary("Babble-Spell-2.2"):GetSpellIcon("Blind")
RogueStunTimerFu_Bars:RogueStunTimerFu_StartBar(self, L["Blind"], 10, path)
end

--Gouge Bar
function RogueStunTimerFu_Bars:Gouge()
local path = AceLibrary("Babble-Spell-2.2"):GetSpellIcon("Gouge")
local _, _, _, _, rank, _, _, _ = GetTalentInfo( 2, 1 );
RogueStunTimerFu_Bars:RogueStunTimerFu_StartBar(self, L["Gouge"], 4+rank*0.5, path)
end

--Distract Bar
function RogueStunTimerFu_Bars:Distract()
local path = AceLibrary("Babble-Spell-2.2"):GetSpellIcon("Distract")
RogueStunTimerFu_Bars:RogueStunTimerFu_StartBar(self, L["Distract"], 10, path)
end

--Kidney Shot Bar
function RogueStunTimerFu_Bars:KS(rank, combo)
if not rank and combo then return end
local KSRank
local path = AceLibrary("Babble-Spell-2.2"):GetSpellIcon("Kidney Shot")
for _, KSRank in string.gmatch(rank, "(.+) (%d+)") do
RogueStunTimerFu_Bars:RogueStunTimerFu_StartBar(self, L["Kidney Shot"], (KSRank-1)+combo , path)
end
end

--Sap Bar
function RogueStunTimerFu_Bars:Sap(rank)
if not rank then return end
local path = AceLibrary("Babble-Spell-2.2"):GetSpellIcon("Sap")
local SRank
	for _,SRank in string.gmatch(rank, "(.+) (%d+)") do
	RogueStunTimerFu_Bars:RogueStunTimerFu_StartBar(self, L["Sap"], 15 + 10*SRank, path)
	end
end 

--Cheap Shot bar
function RogueStunTimerFu_Bars:CS() 
local path = AceLibrary("Babble-Spell-2.2"):GetSpellIcon("Cheap Shot")
RogueStunTimerFu_Bars:RogueStunTimerFu_StartBar(self, L["Cheap Shot"], 4, path)
end 